[AI68-2]Hiro LS Researcher-Obtain Result

post
https://connect.patsnap.com/chat/ai-ls-stream
Try in Sandbox

This interface supports inputting questions related to biomedicine. The Biomedical Encyclopedia Q&A aims to intelligently retrieve, analyze, and mine data in response to the posed questions, providing relevant biomedical knowledge, concept explanations, and encyclopedia information.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
chat_id
Required
stringa4a14dcbc26849b3a5bb338acb4ceccc
Chat ID
chat_item_id
Required
string52347f9d260a48438a1fb122f593c12f
Chat item ID

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
usage
objectPlease check the form: EurekalsChatUsage
Token usage
image_tokens
integer<int32>0
Image tokens
total_tokens
integer<int32>15529
Total tokens
prompt_tokens
integer<int32>12476
Prompt tokens
thinking_tokens
integer<int32>0
Thinking tokens
completion_tokens
integer<int32>3053
Completion tokens
prompt_tokens_details
object{"audio_tokens": 0, "cache_read_tokens": 0, "cached_creation_tokens": 0, "cached_tokens": 0}
Prompt tokens details
audio_tokens
integer<int32>0
Audio tokens
cached_tokens
integer<int32>0
Cached tokens
cache_read_tokens
integer<int32>0
Cache read tokens
cached_creation_tokens
integer<int32>0
Cached creation tokens
completion_tokens_details
object{"accepted_prediction_tokens": 0, "rejected_prediction_tokens": 0, "reasoning_tokens": 2338, "audio_tokens": 0}
Completion tokens details
audio_tokens
integer<int32>0
Audio tokens
reasoning_tokens
integer<int32>2338
Reasoning tokens
accepted_prediction_tokens
integer<int32>0
Accepted prediction tokens
rejected_prediction_tokens
integer<int32>0
Rejected prediction tokens
chat_id
string019ae7682af371d991f228fc8eac9ada
Chat ID
choices
arrayPlease check the form: EurekalsChatChoice
Choices list
delta
object{"role": "assistant", "content": "EGFR has become one of the main targets for non-small cell lung cancer treatment."}
Delta content (incremental data in streaming)
role
stringassistant
Role
content
stringEGFR has become one of the main targets for non-small cell lung cancer treatment. The average EGFR gene mutation rate in global non-small cell lung cancer patients is about 35%, and the EGFR gene mutation rate in Chinese non-small cell lung cancer patients is about 40%.
Content
index
integer<int32>0
Index
finish_reason
stringstop
Finish reason
content_filter_results
object{"self_harm": {"filtered": false, "detected": false}, "jailbreak": {"filtered": false, "detected": false}, "hate": {"filtered": false, "detected": false}, "profanity": {"filtered": false, "detected": false}, "sexual": {"filtered": false, "detected": false}, "violence": {"filtered": false, "detected": false}}
Content filter results
hate
object{"filtered": false, "detected": false}
Hate speech detection
detected
boolean-
Whether detected
filtered
boolean-
Whether filtered
sexual
object{"filtered": false, "detected": false}
Sexual content detection
violence
object{"filtered": false, "detected": false}
Violence content detection
jailbreak
object{"filtered": false, "detected": false}
Jailbreak detection
profanity
object{"filtered": false, "detected": false}
Profanity detection
self_harm
object{"filtered": false, "detected": false}
Self harm detection
chat_item_id
string322d39265d444c53b8ad6d1b3a70974a
Chat item ID
system_fingerprint
string
System fingerprint
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "usage": {
      "image_tokens": 0,
      "total_tokens": 15529,
      "prompt_tokens": 12476,
      "thinking_tokens": 0,
      "completion_tokens": 3053,
      "prompt_tokens_details": {
        "audio_tokens": 0,
        "cached_tokens": 0,
        "cache_read_tokens": 0,
        "cached_creation_tokens": 0
      },
      "completion_tokens_details": {
        "audio_tokens": 0,
        "reasoning_tokens": 2338,
        "accepted_prediction_tokens": 0,
        "rejected_prediction_tokens": 0
      }
    },
    "chat_id": "019ae7682af371d991f228fc8eac9ada",
    "choices": [
      {
        "delta": {
          "role": "assistant",
          "content": "EGFR已经成为非小细胞肺癌治疗的主要靶点之一。全球非小细胞肺癌患者的EGFR基因平均突变率约为35%,中国非小细胞肺癌患者的EGFR基因突变率约为40%。"
        },
        "index": 0,
        "finish_reason": "stop",
        "content_filter_results": {
          "hate": {
            "detected": false,
            "filtered": false
          },
          "sexual": {
            "detected": false,
            "filtered": false
          },
          "violence": {
            "detected": false,
            "filtered": false
          },
          "jailbreak": {
            "detected": false,
            "filtered": false
          },
          "profanity": {
            "detected": false,
            "filtered": false
          },
          "self_harm": {
            "detected": false,
            "filtered": false
          }
        }
      }
    ],
    "chat_item_id": "322d39265d444c53b8ad6d1b3a70974a",
    "system_fingerprint": ""
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
33610500Illegal content in the returned results of the model
33610600Internal system exception

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms